# $Revision: 1.30 $, $Date: 2002/10/04 15:29:26 $
Summary:	Small queueing SMTP relayer
Summary(pl):	May agent SMTP relay kolejkujcy poczt
Name:		omta
Version:	0.51
Release:	10
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://omta.runlevel.net/pub/omta/%{name}-%{version}.tar.gz
Patch0:		%{name}-FHS.patch
Patch1:		%{name}-config.patch
Patch2:		%{name}-omta.conf_path.patch
Patch3:		%{name}-configure.patch
URL:		http://omta.runlevel.net
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
Provides:	smtpdaemon
Obsoletes:	smtpdaemon
Obsoletes:	exim
Obsoletes:	masqmail
Obsoletes:	postfix
Obsoletes:	qmail
Obsoletes:	sendmail
Obsoletes:	sendmail-cf
Obsoletes:	sendmail-doc
Obsoletes:	smail
Obsoletes:	zmailer
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_spooldir	/var/spool/omtaqueue
%define		_sysconfdir	/etc/mail

%description
OMTA is an SMTP server tool wich allows people who have a dialup
connection to queue their mail on their hard disk, and send it to
their SMTP server whenever they are online.

OMTA has the following features:
- Works transparently by simulating SENDMAIL.
- Can relay messages to another SMTP server.
- It can also deliver local mail (trough procmail or similar).
- Has built-in SMTP server for the local machine.
- Users can (safely!) set their own private configuration, including
  From address.
- Built around the K.I.S.S. principle ("Keep It Simple, Stupid!")

%description -l pl
OMTA jest narzdziem SMTP ktry umoliwia ludziom bez staego dostpu
do sieci kolejkowa poczt na dysku i wysya j do swojego serwera
SMTP kiedy tylko s online.

OMTA ma nastpujce cechy:
- Pracuje "przezroczycie", udajc SENDMAILa
- Moe przesya listy do innego serwera SMTP
- Moe te dostarcza lokalnie poczt (przez procmaila lub podobne)
- Ma wbudowany serwer SMTP dla lokalnej maszyny
- Uytkownicy mog (bezpiecznie!) ustawia ich wasn konfiguracj,
  wczajc w to adresy From
- Zbudowany w oparciu o zasad K.I.S.S ("Keep It Simple, Stupid!")

%prep -q
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
rm -f missing
gettextize --copy --force
aclocal
autoheader
autoconf
automake -a -c -f
(cd libgetconf
rm -f missing
aclocal
autoconf
automake -a -c)
%configure \
	--with-queuepath=%{_spooldir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_spooldir},%{_libdir},%{_sbindir},%{_sysconfdir}}

%{__make} DESTDIR=$RPM_BUILD_ROOT install

ln -sf %{_bindir}/omta $RPM_BUILD_ROOT%{_libdir}/sendmail
ln -sf %{_bindir}/omta $RPM_BUILD_ROOT%{_sbindir}/sendmail
mv -f omta.conf.dist $RPM_BUILD_ROOT%{_sysconfdir}/omta.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc FAQ README AUTHORS CHANGES
%attr(2755,root,mail) %{_bindir}/omta
%attr(755,root,root) %{_bindir}/mailq
%attr(755,root,root) %{_libdir}/sendmail
%attr(755,root,root) %{_sbindir}/sendmail
%dir %{_sysconfdir}
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/omta.conf
%dir %attr(770,root,mail) %{_spooldir}
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: omta.spec,v $
Revision 1.30  2002/10/04 15:29:26  juandon
- added patch to fix building

Revision 1.27  2002/05/08 06:44:23  kloczek
- release 9.

Revision 1.26  2002/05/07 22:25:47  undefine
- typo

Revision 1.25  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.24  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/02/18 11:50:09  gotar
- Obsoletes: exim, masqmail, qmail, sendmail{,-cf,-doc}, smail, zmailer,
- release 8.

Revision 1.22  2002/01/18 02:14:06  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/10/01 23:20:13  kloczek
- release 7.

Revision 1.20  2001/09/30 15:37:40  qboosh
- BuildRequires: gettext-devel

Revision 1.19  2001/09/16 12:02:04  kloczek
- added omta.conf_path patch which moved omta.conf file to /etc/mail.

Revision 1.18  2001/09/16 00:27:27  blues
- Release 6 (bugfix)
- config is back in /etc

Revision 1.17  2001/09/13 23:19:45  kloczek
- release 5.

Revision 1.16  2001/09/13 23:19:00  kloczek
- removed redundant --sysconfdir from configure parameters,
- moved config fiels to /etc/mail.

Revision 1.15  2001/09/13 22:18:54  blues
- --setuid removed - it works not that way....

Revision 1.14  2001/09/13 22:16:03  blues
- adapterized
- config patch added - change default configuration-file
- place config in sysconfdir
- added --enable-setuid=mail - there was suid-root...

Revision 1.13  2001/09/10 18:58:08  kloczek
- release 5,
- regenerate ac/am files also in libgetconf subdirectory.

Revision 1.12  2001/09/08 14:00:03  blues
- obsoletes smtpdaemon - should be enought

Revision 1.11  2001/08/22 11:18:18  alchemyx
- url updated

Revision 1.10  2001/05/21 18:27:09  kloczek
- release 3.

Revision 1.9  2001/04/27 12:56:17  roman
- removed Requires: procmail. Who uses omta as an SMTP daemon???

Revision 1.8  2001/04/25 23:10:06  blues
- Release 2
- spool-dir moved
- STB

Revision 1.7  2001/04/25 22:53:17  blues
- ac/am corrected
- symlink /usr/lib/omta /usr/sbin/sendmail

Revision 1.6  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.5  2000/08/30 00:54:33  kloczek
- spec adapterized,
- added missing %attr() in %diles,
- removed %%(_bindir)/sendmaile (it is not neccessary) link,
- added autoconf, automake to BuildRequires.

Revision 1.4  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.3  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/05/05 15:27:19  zagrodzki
- URL

Revision 1.1  2000/04/30 09:25:43  zagrodzki
- initial release
